//--------------------------------------------------------------
// File     : main.c
// Datum    : 03.03.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der ADC-DMA-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_adc2_dma.h"

int main(void)
{
  uint16_t adc_wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  UB_Led_Init(); // Init der LEDs
  UB_ADC2_DMA_Init(); // Init vom ADC2 im DMA-Mode

  while(1)
  {
	// ADC-Messwert auslesen und LED entsprechend schalten
    adc_wert=UB_ADC2_DMA_Read(ADC_PA3);
    if(adc_wert>2048) UB_Led_On(LED_GREEN); else UB_Led_Off(LED_GREEN);

	// ADC-Messwert auslesen und LED entsprechend schalten
    adc_wert=UB_ADC2_DMA_Read(ADC_PC4);
    if(adc_wert>2048) UB_Led_On(LED_RED); else UB_Led_Off(LED_RED);

	// ADC-Messwert auslesen und LED entsprechend schalten
    adc_wert=UB_ADC2_DMA_Read(ADC_PC5);
    if(adc_wert>2048) UB_Led_On(LED_BLUE); else UB_Led_Off(LED_BLUE);
  }
}
